CC=g++
# CFLAGS=-c -Wall 
CFLAGS=-c -Wall -g #debug version
# LDFLAGS=
LDFLAGS= -g
SOURCES=AccountStatus.cpp base64.cpp cleanHtml.cpp ExecCommand.cpp help.cpp main.cpp PrintFile.cpp ShowDebug.cpp AccountUpdate.cpp Replace.cpp Deals.cpp
OBJECTS=$(SOURCES:.cpp=.o)
EXECUTABLE=dm-cli

all: $(SOURCES) $(EXECUTABLE)
	
$(EXECUTABLE): $(OBJECTS) 
	$(CC) $(LDFLAGS) $(OBJECTS) -o $@

.cpp.o:
	$(CC) $(CFLAGS) $< -o $@
clean:
	rm *.o	